TCursorGetMode (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Enum TCursorGetMode

- java.lang.Object
- - java.lang.Enum<TCursorGetMode>
  - - com.sleepycat.thrift.TCursorGetMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TCursorGetMode>, org.apache.thrift.TEnum

      public enum TCursorGetMode
      extends java.lang.Enum<TCursorGetMode>
      implements org.apache.thrift.TEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CURRENT`
    `FIRST`
    `GET_BOTH`
    `GET_BOTH_RANGE`
    `GET_RECNO`
    `LAST`
    `NEXT`
    `NEXT_DUP`
    `NEXT_NO_DUP`
    `PREV`
    `PREV_DUP`
    `PREV_NO_DUP`
    `SET`
    `SET_RANGE`
    `SET_RECNO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TCursorGetMode` | `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
    `int` | `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
    `static TCursorGetMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TCursorGetMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CURRENT

          public static final TCursorGetMode CURRENT

    - #### FIRST

          public static final TCursorGetMode FIRST

    - #### GET_BOTH

          public static final TCursorGetMode GET_BOTH

    - #### GET_BOTH_RANGE

          public static final TCursorGetMode GET_BOTH_RANGE

    - #### GET_RECNO

          public static final TCursorGetMode GET_RECNO

    - #### LAST

          public static final TCursorGetMode LAST

    - #### NEXT

          public static final TCursorGetMode NEXT

    - #### NEXT_DUP

          public static final TCursorGetMode NEXT_DUP

    - #### NEXT_NO_DUP

          public static final TCursorGetMode NEXT_NO_DUP

    - #### PREV

          public static final TCursorGetMode PREV

    - #### PREV_DUP

          public static final TCursorGetMode PREV_DUP

    - #### PREV_NO_DUP

          public static final TCursorGetMode PREV_NO_DUP

    - #### SET

          public static final TCursorGetMode SET

    - #### SET_RANGE

          public static final TCursorGetMode SET_RANGE

    - #### SET_RECNO

          public static final TCursorGetMode SET_RECNO

  - ### Method Detail

    - #### values

          public static TCursorGetMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TCursorGetMode c : TCursorGetMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TCursorGetMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Get the integer value of this enum value, as defined in the Thrift IDL.
      Specified by:
        `getValue` in interface `org.apache.thrift.TEnum`

    - #### findByValue

          public static TCursorGetMode findByValue(int value)

      Find a the enum type by its integer value, as defined in the Thrift IDL.
      Returns:
        null if the value is not found.

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.